/* Home Manager
 * Glorified list of sockets
 * Manages clients showing the home page
 */
 
var method = HomeManager.prototype;

function HomeManager() {
    this._sockets = [];
    //this._env = env;
}

method.addSocket = function(new_socket) {
    console.log("homemanager add socket: ", new_socket.identification)
    this._sockets.push(new_socket);
};

method.removeSocket = function(socket) {
    this._sockets.splice(this._sockets.indexOf(socket));
    
};

module.exports = HomeManager;

// a way to receive schedule updates and update home page clients